End
curl --request POST \
--url https://api.sortx.co.uk/tenancies/{id}/end \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"endedOn": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({endedOn: '<string>'})
};
fetch('https://api.sortx.co.uk/tenancies/{id}/end', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/tenancies/{id}/end"
payload = { "endedOn": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"unitId": "<string>",
"status": "active",
"startsOn": "<string>",
"endsOn": "<string>",
"noticeGivenOn": "<string>",
"notes": "<string>",
"terms": {
"accessNoticeHours": 168,
"accessConditions": "<string>",
"tenantRepairs": [
"light_bulbs"
],
"repairNotes": "<string>",
"ownContractor": "not_recorded",
"petsAllowed": true,
"pets": "<string>",
"appliancesSupplied": [
"cooker"
],
"applianceNotes": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"participants": [
{
"id": "<string>",
"tenancyId": "<string>",
"contactId": "<string>",
"companyId": "<string>",
"role": "tenant",
"isLead": true
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}tenancies
End
End a tenancy
POST
/
tenancies
/
{id}
/
end
End
curl --request POST \
--url https://api.sortx.co.uk/tenancies/{id}/end \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"endedOn": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({endedOn: '<string>'})
};
fetch('https://api.sortx.co.uk/tenancies/{id}/end', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/tenancies/{id}/end"
payload = { "endedOn": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"unitId": "<string>",
"status": "active",
"startsOn": "<string>",
"endsOn": "<string>",
"noticeGivenOn": "<string>",
"notes": "<string>",
"terms": {
"accessNoticeHours": 168,
"accessConditions": "<string>",
"tenantRepairs": [
"light_bulbs"
],
"repairNotes": "<string>",
"ownContractor": "not_recorded",
"petsAllowed": true,
"pets": "<string>",
"appliancesSupplied": [
"cooker"
],
"applianceNotes": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"participants": [
{
"id": "<string>",
"tenancyId": "<string>",
"contactId": "<string>",
"companyId": "<string>",
"role": "tenant",
"isLead": true
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Response
Success
Available options:
active, notice_given, ended Show child attributes
Show child attributes
Show child attributes
Show child attributes